Zum Hauptinhalt springen
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
Get Campaign By Id
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id} \
  --header 'Authorization: Bearer <token>'
{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "isActive": true,
  "isSmart": true,
  "campaignType": "manual",
  "status": "approved",
  "createdAt": "2023-11-07T05:31:56Z",
  "chargeType": "CPM",
  "externalVendorId": "<string>",
  "adFormat": "listing",
  "isAutoTrigger": true,
  "vendorId": "<string>",
  "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bidCount": 123,
  "budget": {
    "amount": 123,
    "amountRemaining": 123,
    "amountCarryover": 123,
    "amountUsed": 123,
    "type": "daily"
  },
  "statusUpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaignBehaviorData": "<string>",
  "campaignBehaviorDataByDay": "<string>",
  "exclusivityPrice": 123,
  "targetRoas": 123,
  "externalCampaignId": "<string>",
  "autobiddingObjective": "impressions",
  "promotionType": {
    "bannerAssets": [
      {
        "dimensions": {
          "width": 123,
          "height": 123
        },
        "url": "<string>",
        "contentType": "image/png",
        "size": 123,
        "assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
        "content": {},
        "jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "slotId": "<string>",
    "adFormat": "<string>",
    "deviceType": "desktop"
  }
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI.

Pfadparameter

campaign-id
string<uuid>
erforderlich

The ID of the campaign.

Antwort

Successful Response

The campaign model.

campaignId
string<uuid>
erforderlich

The ID of the campaign.

marketplaceId
string<uuid>
erforderlich

The ID of the marketplace.

name
string
erforderlich

The name of the campaign.

Minimum string length: 1
Beispiel:

"Bola-Bola Ad campaign"

startDate
string<date-time>
erforderlich

The starting date of the campaign.

endDate
string<date-time>
erforderlich

The end date of the campaign.

isActive
boolean
erforderlich

Whether this campaign is active.

isSmart
boolean
erforderlich

Whether this campaign is "smart".

campaignType
enum<string>
erforderlich

The bidding method for the campaign.

Verfügbare Optionen:
manual,
autobidding,
exclusive
status
enum<string>
erforderlich

Represents the review status of a banner campaign.

Verfügbare Optionen:
approved,
pending,
rejected
createdAt
string<date-time>
erforderlich

When was this campaign created.

chargeType
erforderlich

Campaign charge type.

CPM: cost per mille impressions CPC: cost per click CPA: cost per action. CPA reflects the total cost to achieve a conversion.

Verfügbare Optionen:
CPM,
CPC,
CPA
externalVendorId
string
erforderlich
veraltet

The ID of the vendor. Deprecated. Use vendor_id instead.

Minimum string length: 1
adFormat
enum<string>
erforderlich

The ad format of the campaign. Can be listing or banner.

Verfügbare Optionen:
listing,
banner,
sponsored_brand,
exclusive_listing,
exclusive_banner,
travel_listing,
flight_listing
Beispiel:

"listing"

isAutoTrigger
boolean
erforderlich

Whether the campaign is auto-triggered.

vendorId
string
erforderlich

The ID of the vendor.

Minimum string length: 1
walletId
string<uuid>
erforderlich

The uuid of the wallet to be used with this campaign.

bidCount
integer
erforderlich
veraltet

The amount of active bids associated with this campaign. This field is deprecated and will be set to 0 once the notice period is over.

budget
Budget · object

The budget assigned to the campaign.

statusUpdatedBy
string<uuid> | null

The ID of the user who reviewed the campaign. If it's null and the status is not "pending" then it means this campaign has autoapproval status.

campaignBehaviorData
string | null
veraltet

Deprecated. This field is always null. For behavioral data use reporting service.

campaignBehaviorDataByDay
string | null
veraltet

Deprecated. This field is always null. For behavioral data use reporting service.

exclusivityPrice
integer | null

Daily price for an exclusive campaign, can only be set if a campaign is exclusive

targetRoas
number | null

The target return on ad spend (ROAS) for this campaign. This is only applicable for autobidding listing campaigns.

externalCampaignId
string | null

The external ID of the campaign in the marketplace. Must be unique per marketplace and format combination.

autobiddingObjective
enum<string> | null

The autobidding objective for the campaign.

Verfügbare Optionen:
impressions,
clicks,
conversions,
revenue
promotionType
BannerAd · object
veraltet

Deprecated. Use adFormat field instead and format properties inside bids. The promotion type and attributes. Ad format must set to 'banner' for exclusive campaigns.